/* TOMMUD.H Definitions file */

#define MAXNPC 100

    struct o
	{
	int num;
	int curloc;
	char title[81];
	char small[40];
	char syn[5][30];
	signed int ac;
	int hitroll;
	int damroll;
	int food;
	int water;
	int magic;
	int worn;
	} obj[50];

	typedef enum {STANDING = 0, SITTING, KO, MW, DEAD, FIGHTING} POSLIST;

	struct p
	{
	int curloc;
	int hit, maxhit, hitregen;
	int mana, maxmana, manaregen;
	int move, maxmove, moveregen;
	signed int ac;
	signed int alignment;
	unsigned long exp;
	int gold;
	int min, sec;
	int level;
	int pos;
	int hitroll;
	int damroll;
	signed int bonus;
	char name[20];
	char title[70];
	} pl;

	struct n
	{
	// 233 bytes of strings  (86% of total)
	// +44 bytes of numbers  (14% of total)
	// ---
	// 278 bytes total
	int curloc;
	int mobility;
	int hit, maxhit;
	int mana, maxmana;
	int move, maxmove;
	signed int ac;
	signed int alignment;
	unsigned long exp;
	int gold;
	int min, sec;
	int level;
	int pos;
	int hitroll;
	int damroll;
	signed int bonus;
	char title[81];
	char small[40];
	char syn[5][30];
	} npc[MAXNPC + 1];

	char posdesc[5][20] = { "standing", "sitting", "unconscious",
				"mortally wounded", "dead" };

	char bpos[18][25] = { "<never used>         ", "<worn on finger>     ",
			  "<worn on finger>     ", "<worn around neck>   ",
			  "<worn around neck>   ", "<worn on body>       ",
			  "<worn on head>       ", "<worn on legs>       ",
			  "<worn on feet>       ", "<worn on hands>      ",
			  "<worn on arms>       ", "<worn as shield>     ",
			  "<worn about body>    ", "<worn about waist>   ",
			  "<worn around wrist>  ", "<worn around wrist>  ",
			  "<wielded>            ", "<held>               " };

	char levtitle[31][25] = { "", "the Swordpupil", "the Student of War",
		"the Student of Chivalry", "the Recruit", "the Squire", "the Sentry",
		"the Fighter", "the Soldier", "the Warrior", "the Companion",
		"the Guard", "the Veteran", "the Swordsman", "the Fencer",
		"the Combatant", "the Hero", "the Superhero", "the Myrmidon",
		"the Swashbuckler", "the Mercenary", "the Swordmaster",
		"the Lieutenant", "the Champion", "the Dragoon", "the Cavalier",
		"the Knight", "the Knight Lord", "the Knight Duke",
		"the Knight Earl", "the Knight of the Garter" };

	unsigned long levexp[] = { 0, 900, 1800, 4000, 10000, 25000, 50000,
		100000, 200000, 400000, 650000, 950000, 1280000, 1600000, 2200000,
		2800000, 3400000, 4400000, 6000000, 8000000, 11000000, 14000000,
		17000000, 20000000, 25000000, 30000000, 35000000, 40000000, 45000000,
		50000000, 50000000, 50000000 };
